#pragma once

#include <ReferenceCounter.h>
#include <Either.h> 

class Block;
class Noise;
class Game;

class BiomGenerator : public virtual Framework::ReferenceCounter
{
public:
    BiomGenerator();
    virtual Framework::Either<Block*, int> getBlock( int x, int y, int z, Game* zGame ) = 0;
    virtual Noise* zHeightMapNoise( int seed ) = 0;
};